Bug 680061 - evolution-data-server crashes in memcpy
Summary: evolution-data-server crashes in memcpy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openchange
Version: 6.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
: 685040 729968 (view as bug list)
Depends On:
Blocks: 782183 840699
TreeView+ depends on / blocked
 
Reported: 2011-02-24 09:18 UTC by ritz
Modified: 2018-11-28 21:49 UTC (History)
6 users (show)

Fixed In Version: evolution-mapi-0.28.3-8.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 903728 (view as bug list)
Environment:
Last Closed: 2013-02-21 10:18:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
ema patch (3.53 KB, patch)
2011-03-08 08:38 UTC, Milan Crha
no flags Details | Diff
proposed ema patch ][ (3.83 KB, patch)
2011-08-12 06:08 UTC, Milan Crha
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 616928 0 None None None Never
Red Hat Product Errata RHSA-2013:0515 0 normal SHIPPED_LIVE Moderate: openchange security, bug fix and enhancement update 2013-02-20 21:29:17 UTC

Comment 1 Milan Crha 2011-02-24 10:43:10 UTC
Upstream bug about the same:

https://bugzilla.gnome.org/show_bug.cgi?id=616928

Comment 2 Milan Crha 2011-03-04 09:14:00 UTC
I tried to reproduce this myself, but with no luck. I see the function is called, but it doesn't crash for me. I compiled openchange from RHEL6.1 myself, against samba4 in F14, which is samba4-devel-4.0.0-24.alpha11.fc14.x86_64.

Seeing the steps, could this be related to the upstream bug [2], which was reported and a patch for it provided just yesterday by one user of evo-mapi? The steps seems to be quite close to it, thus could you give it a try, please?

[2] https://bugzilla.gnome.org/show_bug.cgi?id=643781

Comment 3 Milan Crha 2011-03-07 10:14:44 UTC
Thinking of this a bit more, it seems to be like evolution-mapi is passing a NULL values for some property on item modification, which leads to a crash. So it is most likely a bug in evolution-mapi.

Could you find out which property is this about, please? Thanks in advance.

Comment 5 Milan Crha 2011-03-08 08:38:43 UTC
Created attachment 482853 [details]
ema patch

for evolution-mapi;

Strange the property is NULL, but could be doable, probably.
Could you give a try to this patch, please?

Comment 6 Milan Crha 2011-03-15 08:01:04 UTC
*** Bug 685040 has been marked as a duplicate of this bug. ***

Comment 10 RHEL Program Management 2011-07-06 01:08:46 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 11 Milan Crha 2011-08-12 05:18:09 UTC
*** Bug 729968 has been marked as a duplicate of this bug. ***

Comment 12 Milan Crha 2011-08-12 06:08:12 UTC
Created attachment 517963 [details]
proposed ema patch ][

for evolution-mapi;

This is another variation of the patch. I seem to miss one place in the previous version of this, maybe it'll help here.

Comment 19 RHEL Program Management 2012-07-10 06:37:23 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 20 RHEL Program Management 2012-07-11 01:44:03 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 28 errata-xmlrpc 2013-02-21 10:18:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0515.html


Note You need to log in before you can comment on or make changes to this bug.